## org.eclipse.datatools.enablement.sybase.models.sybasesqlmodel.util
Class SybasesqlmodelSwitch

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.models.sybasesqlmodel.util.SybasesqlmodelSwitch

    public class SybasesqlmodelSwitch

extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `SybasesqlmodelPackage`

Constructor Summary
`SybasesqlmodelSwitch()` Creates an instance of the switch.

Method Summary
`java.lang.Object` `caseAuthorizationIdentifier(AuthorizationIdentifier object)` Returns the result of interpreting the object as an instance of 'Authorization Identifier'.
`java.lang.Object` `caseBaseTable(BaseTable object)` Returns the result of interpreting the object as an instance of 'Base Table'.
`java.lang.Object` `caseDerivedTable(DerivedTable object)` Returns the result of interpreting the object as an instance of 'Derived Table'.
`java.lang.Object` `caseEModelElement(org.eclipse.emf.ecore.EModelElement object)` Returns the result of interpreting the object as an instance of 'EModel Element'.
`java.lang.Object` `caseENamedElement(org.eclipse.emf.ecore.ENamedElement object)` Returns the result of interpreting the object as an instance of 'ENamed Element'.
`java.lang.Object` `caseIndexMember(IndexMember object)` Returns the result of interpreting the object as an instance of 'Index Member'.
`java.lang.Object` `caseParameter(Parameter object)` Returns the result of interpreting the object as an instance of 'Parameter'.
`java.lang.Object` `casePrivilege(Privilege object)` Returns the result of interpreting the object as an instance of 'Privilege'.
`java.lang.Object` `caseRoutine(Routine object)` Returns the result of interpreting the object as an instance of 'Routine'.
`java.lang.Object` `caseSQLObject(SQLObject object)` Returns the result of interpreting the object as an instance of 'SQL Object'.
`java.lang.Object` `caseSybaseAuthorizationIdentifier(SybaseAuthorizationIdentifier object)` Returns the result of interpreting the object as an instance of 'Sybase Authorization Identifier'.
`java.lang.Object` `caseSybaseAuthorizedObject(SybaseAuthorizedObject object)` Returns the result of interpreting the object as an instance of 'Sybase Authorized Object'.
`java.lang.Object` `caseSybaseBaseTable(SybaseBaseTable object)` Returns the result of interpreting the object as an instance of 'Sybase Base Table'.
`java.lang.Object` `caseSybaseIndexMember(SybaseIndexMember object)` Returns the result of interpreting the object as an instance of 'Sybase Index Member'.
`java.lang.Object` `caseSybaseParameter(SybaseParameter object)` Returns the result of interpreting the object as an instance of 'Sybase Parameter'.
`java.lang.Object` `caseSybasePrivilege(SybasePrivilege object)` Returns the result of interpreting the object as an instance of 'Sybase Privilege'.
`java.lang.Object` `caseSybaseRoutine(SybaseRoutine object)` Returns the result of interpreting the object as an instance of 'Sybase Routine'.
`java.lang.Object` `caseSybaseViewTable(SybaseViewTable object)` Returns the result of interpreting the object as an instance of 'Sybase View Table'.
`java.lang.Object` `caseTable(Table object)` Returns the result of interpreting the object as an instance of 'Table'.
`java.lang.Object` `caseTypedElement(TypedElement object)` Returns the result of interpreting the object as an instance of 'Typed Element'.
`java.lang.Object` `caseViewTable(ViewTable object)` Returns the result of interpreting the object as an instance of 'View Table'.
`java.lang.Object` `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.
`java.lang.Object` `doSwitch(org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SybasesqlmodelSwitch

    public SybasesqlmodelSwitch()

  Creates an instance of the switch.

Method Detail

### doSwitch

    public java.lang.Object doSwitch(org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseSybaseParameter

    public java.lang.Object caseSybaseParameter(SybaseParameter object)

  Returns the result of interpreting the object as an instance of 'Sybase Parameter'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase Parameter'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseRoutine

    public java.lang.Object caseSybaseRoutine(SybaseRoutine object)

  Returns the result of interpreting the object as an instance of 'Sybase Routine'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase Routine'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseBaseTable

    public java.lang.Object caseSybaseBaseTable(SybaseBaseTable object)

  Returns the result of interpreting the object as an instance of 'Sybase Base Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase Base Table'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseViewTable

    public java.lang.Object caseSybaseViewTable(SybaseViewTable object)

  Returns the result of interpreting the object as an instance of 'Sybase View Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase View Table'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseAuthorizationIdentifier

    public java.lang.Object caseSybaseAuthorizationIdentifier(SybaseAuthorizationIdentifier object)

  Returns the result of interpreting the object as an instance of 'Sybase Authorization Identifier'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase Authorization Identifier'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseIndexMember

    public java.lang.Object caseSybaseIndexMember(SybaseIndexMember object)

  Returns the result of interpreting the object as an instance of 'Sybase Index Member'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase Index Member'.
  See Also:
    `doSwitch(EObject)`

### caseSybaseAuthorizedObject

    public java.lang.Object caseSybaseAuthorizedObject(SybaseAuthorizedObject object)

  Returns the result of interpreting the object as an instance of 'Sybase Authorized Object'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase Authorized Object'.
  See Also:
    `doSwitch(EObject)`

### caseSybasePrivilege

    public java.lang.Object caseSybasePrivilege(SybasePrivilege object)

  Returns the result of interpreting the object as an instance of 'Sybase Privilege'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sybase Privilege'.
  See Also:
    `doSwitch(EObject)`

### caseEModelElement

    public java.lang.Object caseEModelElement(org.eclipse.emf.ecore.EModelElement object)

  Returns the result of interpreting the object as an instance of 'EModel Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EModel Element'.
  See Also:
    `doSwitch(EObject)`

### caseENamedElement

    public java.lang.Object caseENamedElement(org.eclipse.emf.ecore.ENamedElement object)

  Returns the result of interpreting the object as an instance of 'ENamed Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'ENamed Element'.
  See Also:
    `doSwitch(EObject)`

### caseSQLObject

    public java.lang.Object caseSQLObject(SQLObject object)

  Returns the result of interpreting the object as an instance of 'SQL Object'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'SQL Object'.
  See Also:
    `doSwitch(EObject)`

### caseTypedElement

    public java.lang.Object caseTypedElement(TypedElement object)

  Returns the result of interpreting the object as an instance of 'Typed Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Typed Element'.
  See Also:
    `doSwitch(EObject)`

### caseParameter

    public java.lang.Object caseParameter(Parameter object)

  Returns the result of interpreting the object as an instance of 'Parameter'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Parameter'.
  See Also:
    `doSwitch(EObject)`

### caseRoutine

    public java.lang.Object caseRoutine(Routine object)

  Returns the result of interpreting the object as an instance of 'Routine'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Routine'.
  See Also:
    `doSwitch(EObject)`

### caseTable

    public java.lang.Object caseTable(Table object)

  Returns the result of interpreting the object as an instance of 'Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Table'.
  See Also:
    `doSwitch(EObject)`

### caseBaseTable

    public java.lang.Object caseBaseTable(BaseTable object)

  Returns the result of interpreting the object as an instance of 'Base Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Base Table'.
  See Also:
    `doSwitch(EObject)`

### caseDerivedTable

    public java.lang.Object caseDerivedTable(DerivedTable object)

  Returns the result of interpreting the object as an instance of 'Derived Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Derived Table'.
  See Also:
    `doSwitch(EObject)`

### caseViewTable

    public java.lang.Object caseViewTable(ViewTable object)

  Returns the result of interpreting the object as an instance of 'View Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'View Table'.
  See Also:
    `doSwitch(EObject)`

### caseAuthorizationIdentifier

    public java.lang.Object caseAuthorizationIdentifier(AuthorizationIdentifier object)

  Returns the result of interpreting the object as an instance of 'Authorization Identifier'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Authorization Identifier'.
  See Also:
    `doSwitch(EObject)`

### caseIndexMember

    public java.lang.Object caseIndexMember(IndexMember object)

  Returns the result of interpreting the object as an instance of 'Index Member'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Index Member'.
  See Also:
    `doSwitch(EObject)`

### casePrivilege

    public java.lang.Object casePrivilege(Privilege object)

  Returns the result of interpreting the object as an instance of 'Privilege'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Privilege'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public java.lang.Object defaultCase(org.eclipse.emf.ecore.EObject object)

  Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EObject'.
  See Also:
    `doSwitch(org.eclipse.emf.ecore.EObject)`